/*
Copyright (C) 2006 Parallel Realities

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#include "../headers.h"

extern void showMap();
extern void centerOnUnit(Unit *unit);
extern void endTurn();
extern void showOptions(void (*draw)(void));
extern void doStatusPanel(bool battleStarted);
extern void reloadWeapon(Unit *unit, Weapon *weapon);
extern void doLineOfSight(Unit *unit);
extern int getWeaponAccuracy(Unit *unit, Weapon *weapon, int aimType);
extern void prepareUnitToFire(Unit *unit, int mapX, int mapY);
extern GLColor getUnitHealthColor(Unit *unit);
extern GLColor getUnitShieldColor(Unit *unit);
extern void showMissionStatusPanel(bool missionFinished);
extern int getItemThrowAccuracy(Unit *unit, Entity *item);
extern void useItem(Unit *unit, Item *item);
extern void doGameObjects();
extern void prepareUnitToThrow(Unit *unit, int mapX, int mapY);

extern Audio *audio;
extern BSP *bsp;
extern BoundingBoxManager *bbManager;
extern Camera *camera;
extern Engine *engine;
extern EntityManager *entityManager;
extern Game *game;
extern Graphics *graphics;
extern ModelManager *modelManager;
extern Unit *player;
extern TextureManager *textureManager;
extern Trace *tracer;
extern UIManager *uiManager;
