BSPC="/opt/GtkRadiant-1.4/q3map2"
BASEPATH=$HOME
GAMEDIR="BlobAndConquer"
MAPDIR="data/bsp"

if [ ! -f "$BASEPATH/$GAMEDIR/$MAPDIR/$1.map" ]
then
echo "Map $BASEPATH/$GAMEDIR/$MAPDIR/$1.map does not exist. Check filename and script variables."
exit
fi

rm -f "$BASEPATH/$GAMEDIR/$MAPDIR/$1.bsp"

$BSPC -connect 127.0.0.1:39000 -threads 3 -fs_game $GAMEDIR -fs_basepath $BASEPATH -meta "$BASEPATH/$GAMEDIR/$MAPDIR/$1.map"

if [ ! -f "$BASEPATH/$GAMEDIR/$MAPDIR/$1.lin" ]
then
$BSPC -connect 127.0.0.1:39000 -threads 3 -fs_game $GAMEDIR -fs_basepath $BASEPATH -vis -saveprt "$BASEPATH/$GAMEDIR/$MAPDIR/$1.map"
$BSPC -connect 127.0.0.1:39000 -threads 3 -fs_game $GAMEDIR -fs_basepath $BASEPATH -light -compensate 4 -fastbounce -samples 2 -filter -bounce 1 "$BASEPATH/$GAMEDIR/$MAPDIR/$1.map"
rm -f "$BASEPATH/$GAMEDIR/$MAPDIR/$1.lin"
rm -f "$BASEPATH/$GAMEDIR/$MAPDIR/$1.prt"
rm -f "$BASEPATH/$GAMEDIR/$MAPDIR/$1.srf"
fi
