/*
Copyright (C) 2006 Parallel Realities

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#include "../headers.h"

#include <dirent.h>
#include <sys/stat.h>
#include <pwd.h>
#include <unistd.h>
#include <errno.h>

extern void drawWidgets();
extern int showOKCancelDialog(const char *message);
extern void loadWidgets(const char *filename);
extern List *loadProperties(const char *filename, bool fromPak);
extern List *loadPropertiesInMemory();
extern void populateSavesList(ListView *listView);
extern int doLoadSaveGameDialog(const char *type);

extern CrumbBox crumbBox;
extern Engine *engine;
extern EntityManager *entityManager;
extern Game *game;
extern Graphics *graphics;
extern Map *map;
extern Mission *mission;
extern ParticleManager *particleManager;
extern UIManager *uiManager;

extern Unit *player;
