/*
Copyright (C) 2006 Parallel Realities

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#include "headers.h"

extern void showMissionStatusPanel();
extern void doControlPanel();
extern void checkUnitClick();
extern void checkTargetClick();
extern void centerOnMovingUnit(Unit *unit);
extern bool turnUnit(Unit *unit);
extern void moveUnit(Unit *unit);
extern void doBullets();
extern void setStatusIndicator();
extern void doLineOfSight(Unit *unit);
extern bool getPathToTarget(Unit *unit);
extern void prepareUnitWalkToTarget(Unit *unit);
extern int faceDirectionOfTravel(float x1, float y1, float x2, float y2);
extern void drawMouseVector();
extern void doThrownItem();
extern void doStatusPanel(bool battleStart);
extern void reloadAllWeapons();
extern void throwItem(Unit *unit, Entity *item, float targetX, float targetY);
extern void assignEnemyAI();
extern void fireWeapon(Unit *owner, WeaponDef *defintion, Vector origin, Vector destination);
extern void drawTargetLock();
extern void faceTarget(Unit *unit);
extern void faceLocation(Unit *unit, Vector target);
extern void unitPickUpItem(Unit *unit);
extern void drawBox(Vector position, float width, float length, float height);
extern void resetBlobOrders();
extern bool unitCanSeeTarget(Entity *observer, Entity *target, Vector startPosition);
extern Vector getLeadingTargetPosition(Entity *attacker, Entity *target);
extern void addSparkParticle(Vector position);

extern Audio *audio;
extern BoundingBoxManager *bbManager;
extern BSP *bsp;
extern Camera *camera;
extern CrumbBox crumbBox;
extern Engine *engine;
extern EntityManager *entityManager;
extern Game *game;
extern Graphics *graphics;
extern Map *map;
extern Mission *mission;
extern Mouse *mouse;
extern TextureManager *textureManager;
extern Trace *tracer;
extern Unit *player;
extern UIManager *uiManager;
